#include "CcOsd.h"
#include "commons.h"

CcOsd::CcOsd(CcStatus *s){
 dprint(1, "CC: CcOsd::CcOsd()");
 status = s;
 showOsd = false;
 worker = NULL;
 
 OsdController.Subscribe(9000,this);
}

void CcOsd::Init(){
	if(worker != NULL)
	 delete worker;
	 
	worker = new CcProcessor(status->GetExtractor());
 	worker->Start();
 	
}
CcOsd::~CcOsd(){
	dprint(1, "CC: CcOsd::~CcOsd()");
	if(worker!=NULL){
		delete worker;
		worker = NULL;
	}
	OsdController.Unsubscribe(this);
}

void CcOsd::Hide(){
	dprint(1, "CcOsd::Hide() - Hiding the CC...\n");
	if(showOsd){
		if(status!=NULL){
			if(worker != NULL){
				worker->Stop();
				delete worker;
				worker = NULL;
			}
			else
				dprint(1, "CcOsd::Hide() - Warning: No worker to stop.");
			
			status->Stop();
			showOsd = false;
		}
		else
			dprint(1, "CcOsd::Hide() - Error! No status object assigned.\n");
		
		ClearScreen();
	}
	else
		dprint(1, "CcOsd::Hide() - CC was already hidden; no reason to hide it.\n");
}

void CcOsd::Show(){
	dprint(1, "CcOsd::Show() - Showing the CC...\n");
	if(!showOsd){
		if(status!=NULL){
			status->Start();
			Init();
			showOsd = true;
		}
		else
			dprint(1, "CcOsd::Show() - Error! No status object assigned.\n");
	}
	else
		dprint(1, "CcOsd::Show() - CC was already visible; no reason to unhide it.\n");
}

void CcOsd::ClearScreen(){
}
