#ifndef CC_H_
#define CC_H_
#include <getopt.h>
#include <stdlib.h>
#include <vdr/interface.h>
#include <vdr/plugin.h>

#include "i18n.h"
#include "CcOsd.h"
#include "CcConfig.h"
#include "CcStatus.h"

#include "commons.h"

static const char *VERSION        = "0.0.1pre2";
static const char *DESCRIPTION    = "Closed Caption Plugin for NTSC TV";
static const char *MAINMENUENTRY  = "Closed Caption";

class PluginCC : cPlugin
{
public:
	PluginCC();
	virtual ~PluginCC();
	virtual const char *Version(void) { return VERSION; }
	virtual const char *Description(void) { return tr(DESCRIPTION); }
	virtual const char *CommandLineHelp(void); //Shows a basic usage message
	virtual cMenuSetupPage *SetupMenu(void); //Creates the setup menu object which will be shown in OSD menu
	virtual bool SetupParse(const char *Name, const char *Value); //Parses the parameters from OSD setup menu
	virtual bool Start(void); //Initializes the OSD object
private:
	CcStatus *ccStatus;	
};

#endif /*CC_H_*/
